Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class FieldMap

    java.lang.Object
      com.mindbright.terminal.tandem6530.FieldMap

public class FieldMap
extends java.lang.Object

Field Summary
`protected int` | `cols`
`protected DataType` | `dataTypeTable`
`protected Position` | `END`
`protected boolean` | `haveUnprotectedFields`
`protected Position` | `HOME`
`protected Field[][]` | `map`
`protected int` | `rows`

Constructor Summary
`FieldMap(int rows, int cols, FieldAttributes defaultFieldAttribs, DataType dataTypeTable)`

Method Summary
`void` | `addField(Position p, FieldAttributes attribs)`
`protected void` | `adjustFields()` Set the fields start/end values according to the map.
`void` | `clear(Position start, Position end)`
`protected void` | `clearFields(Position start, Position end)`
`void` | `deleteRow(int row)`
`Field` | `getFieldAt(Position p)`
`boolean` | `haveUnprotectedFields()`
`void` | `insertRow(int row)`
`Field` | `nextField(Position p)`
`protected Position` | `nextFieldStart(Position p)`
`Field` | `prevField(Position p)`
`protected Position` | `prevFieldEnd(Position p)`
`void` | `reset(FieldAttributes defaultFieldAttribs)`
`protected void` | `setField(Position start, Position end, Field field)`
`protected void` | `setFieldAt(Position p, Field field)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rows

    protected int rows

### cols

    protected int cols

### map

    protected Field[][] map

### HOME

    protected Position HOME

### END

    protected Position END

### dataTypeTable

    protected DataType dataTypeTable

### haveUnprotectedFields

    protected boolean haveUnprotectedFields

Constructor Detail

### FieldMap

    public FieldMap(int rows,
                    int cols,
                    FieldAttributes defaultFieldAttribs,
                    DataType dataTypeTable)

Method Detail

### addField

    public void addField(Position p,
                         FieldAttributes attribs)

### reset

    public void reset(FieldAttributes defaultFieldAttribs)

### haveUnprotectedFields

    public boolean haveUnprotectedFields()

### setField

    protected void setField(Position start,
                            Position end,
                            Field field)

### setFieldAt

    protected void setFieldAt(Position p,
                              Field field)

### getFieldAt

    public Field getFieldAt(Position p)

### prevFieldEnd

    protected Position prevFieldEnd(Position p)

### prevField

    public Field prevField(Position p)

### nextFieldStart

    protected Position nextFieldStart(Position p)

### nextField

    public Field nextField(Position p)

### adjustFields

    protected void adjustFields()

  Set the fields start/end values according to the map.

### insertRow

    public void insertRow(int row)

### deleteRow

    public void deleteRow(int row)

### clearFields

    protected void clearFields(Position start,
                               Position end)

### clear

    public void clear(Position start,
                      Position end)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD